html,
body {
    font: 14px Segoe UI;
    margin: 0;
}

#app {
    display: block;
}

header {
    padding: 0px 16px  16px;
    border: 1px solid #f2f2f2 ;
    background-color: white;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    display: grid;
    text-align: center;
}

.fa-solid {
    padding-right: 10px;
    cursor: pointer;
}

ul {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 0;
}

.list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.list > div {
    margin: 16px;
    background-color: #f2f2f2;
    border-radius: 8px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 250px;
}

li {
    margin: 16px;
    background-color: #f2f2f2;
    border-radius: 8px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 250px;
    min-width: 250px;
    min-height: 406px;
    cursor: pointer;
}

li:hover {
    box-shadow: 2px 2px 6px rgba(112, 107, 107, 0.239);
}

li > h2,h3,p {
    text-align: center;
}

li > h3 {
    display: inline;
    margin-left: 16px;
    margin-right: 16px;
}

img {
    margin: 0px 16px;
}

a {
    text-decoration: none;
}

.like-button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: -6px;
    line-height: 22px;
    font-size: 18;
    color:grey;
    width: 32px;
    height: 32px;
    border-radius: 50%;
}

.like-button:hover {
    background-color: rgb(224, 36, 94, 0.1);
}

.like-button-active {
    color: rgb(224, 36, 94);
}

button {
    background-color: #f1f1f1;
    color: black;
    font-size: 16px;
    /* padding: 16px 30px; */
    border: none;
    cursor: pointer;
    border-radius: 8px;
    text-align: center;
    height: 44px;
}
  
button:hover {
    background-color: black;
    color: white;
}

button:active {
    background-color: gray;
    color: white;
}

.button-active {
    background-color: black;
    color: white;
} 

.head {
    display: flex;
    justify-content: center;
    align-items: center;   
}

.search {
    margin-top: 8px;
    border-radius: 8px;
    border-style: solid;
    outline: none;
    border: 1px solid #dfe1e5;
    height: 44px;
    /* width: auto; */
    max-width: 100%;
    display: flex;
    align-items: center;
    background-color: #f1f1f1;
    justify-content: center;
}

input {   
    margin-left: 40px;
    border: none;
    font-size: 20px;
    line-height: 24px;
    outline: none;
    width: 100%;
    background-color: transparent;
    position: relative;
}

.search:hover {
    box-shadow: 0 1px 6px rgba(32,33,36,.28);
}

#svg {
    height: 20px;
    line-height: 20px;
    width: 20px;
    position: relative;
    left: 10px;
}

.lds-ripple {
    /* display: inline-block; */
    position: absolute;
    top: 46%;
    left: 47%;
    width: 80px;
    height: 80px;
}

.lds-ripple div {
    position: absolute;
    border: 4px solid #080808;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
}

@keyframes lds-ripple {
    0% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}